%define kernel_base_version	2.6.18
%define kernel_extra_version	%nil
%define kgcc_version	3.4
%define kernel_extra_version_numeric 1.0.0
%define libexecdir /usr/lib

# -*- rpm -*-
%define RPMVERSION 3.61
%define VERSION    3.61
Summary: Kernel loader which uses a FAT, ext2/3 or iso9660 filesystem or a PXE network
Name: syslinux
Version: %RPMVERSION
Release: alt1
License: GPL
Group: System/Kernel and hardware
Source0: ftp://ftp.kernel.org/pub/linux/utils/boot/syslinux/%name-%VERSION.tar.bz2
Source1: %name-gnu.tar.bz2
Source2: isolinux-config
Source3: %name-example-2.35.tar.bz2

ExclusiveArch: %ix86 x86_64
Packager: Hihin Ruslan <ruslandh@altlinux.ru>

%ifarch x86_64
%define mflag -fno-stack-protector
%else
%define mflag -m32 -fno-stack-protector
%endif
Patch: %name-3.61.i386.patch
Patch1: %name-3.61-gfxboot.patch



BuildPreReq: nasm, netpbm
Autoreq: 0

BuildRequires: kernel-headers-modules-std-smp
BuildRequires: gcc%kgcc_version


# NOTE: extlinux belongs in /sbin, not in /usr/sbin, since it is typically
# a system bootloader, and may be necessary for system recovery.
%define _sbindir /sbin

%description
%name is a suite of bootloaders, currently supporting DOS FAT
filesystems, Linux ext2/ext3 filesystems (EXTLINUX), PXE network boots
(PXELINUX), or ISO 9660 CD-ROMs (ISOLINUX).  It also includes a tool,
MEMDISK, which loads legacy operating systems from these media.

%package devel
Summary: Development environment for %name add-on modules
Group: System/Kernel and hardware
BuildPreReq: binutils
Requires: %name


%package examples
Summary: files intended to be used as examles
Group: System/Kernel and hardware
Requires: %name


%package extlinux
Summary: The EXTLINUX bootloader, for booting the local system
Group: System/Kernel and hardware
Requires: %name

%package tftpboot
Summary: %name modules in /tftpboot, available for network booting
Group: System/Kernel and hardware
Requires: %name


%description examples
The %name-examples %version  contains files intended to be used as sample code 
and examles isolinux.cfg.

This includes COMBOOT, COM32, and MS-DOS programs as well as LSS
icons.

For developing COM32 programs, you probably want to use the new com32
toolkit (libcom32 and libutil), available in the com32 directory.


%description devel
The %name boot loader contains an API, called COM32, for writing
sophisticated add-on modules.  This package contains the libraries
necessary to compile such modules.


%description extlinux
The EXTLINUX bootloader, for booting the local system, as well as all
the %name/PXELINUX modules in /boot.

%description tftpboot
All the %name/PXELINUX modules directly available for network
booting in the %_localstatedir/tftpboot directory.



%prep
%setup -q -n %name-%VERSION -a1 -a3
%patch -p1
%patch1 -p1

%build
%make CC='gcc %mflag' clean
%make CC='gcc %mflag' installer
%make CC='gcc %mflag' -C sample tidy

%install
install -d -m755  %buildroot/boot %buildroot%_localstatedir/tftpboot
install -d -m755  %buildroot%_includedir
%make_install CC='gcc %mflag'  \
	INSTALLDIR=%buildroot \
	INSTALLROOT=%buildroot \
	LIBBDIR=%buildroot/%_libdir \
	LIBBEXECDIR=%buildroot/%_libexecdir \
	BINDIR=%_bindir \
	MANDIR=%_mandir \
	install-all
%make -C sample tidy

install -m755  mkdiskimage syslinux2ansi.pl keytab-lilo.pl %buildroot%_libexecdir/%name/
install -d -m755  %buildroot%_includedir/%name/
mv -T %buildroot%_libexecdir/%name/com32/include/ %buildroot%_includedir/%name
ln  -s %_includedir/%name %buildroot%_libexecdir/%name/com32/%name 
cd %buildroot/boot
cp ..%_libexecdir/%name/{*.c32,memdisk} %buildroot/boot 
cd %buildroot%_localstatedir/tftpboot
cp ../../..%_libexecdir/%name/{*.c32,memdisk,pxelinux.0} %buildroot%_localstatedir/tftpboot 

install -m 0755 %SOURCE2 %buildroot/%_bindir

%files
%doc COPYING NEWS doc/*
%doc sample

%doc README* syslinux.spec
%dir %_libexecdir/%name
%_bindir/syslinux
%_bindir/ppmtolss16
%_bindir/lss16toppm
%_bindir/gethostip
%_bindir/sha1pass
%_bindir/md5pass
%_bindir/isolinux-config
%_man1dir/*

%_libexecdir/%name/*.com
%_libexecdir/%name/*.exe
%_libexecdir/%name/*.c32
%_libexecdir/%name/*.bin
%_libexecdir/%name/*.0
%_libexecdir/%name/memdisk
%_libexecdir/%name/*.pl
%_libexecdir/%name/mkdiskimage

%files devel
%_libexecdir/%name/com32/*
%_includedir/%name/*

%files extlinux
%_sbindir/extlinux
/boot/*

%files examples
%doc sample example


%files tftpboot
%_localstatedir/tftpboot/*

%post extlinux
# If we have a %_libdir/boot/extlinux.conf file, assume extlinux is our bootloader
# and update it.
if [ -f %_libexecdir/boot/extlinux.conf ]; then extlinux --update %_libexecdir/boot; fi

%postun
%changelog
* Wed Feb 13 2008 Hihin Ruslan <ruslandh@altlinux.ru> 3.61-alt1
- New version

* Tue Jun 12 2007 Hihin Ruslan <ruslandh@altlinux.ru> 3.51-alt2
- update gfx patch from SUSE (from Sisyphus)

* Mon Jun 11 2007 Hihin Ruslan <ruslandh@altlinux.ru> 3.51-alt1
- new version

* Tue Feb 13 2007 Hihin Ruslan <ruslandh@altlinux.ru> 3.36-alt1
- new version

* Fri Feb 02 2007 Hihin Ruslan <ruslandh@altlinux.ru> 3.35-alt2
- update gfx patch from SUSE (from Sisyphus)
- added sample code and examles isolinux.cfg

* Wed Jan 31 2007 Hihin Ruslan <ruslandh@altlinux.ru> 3.35-alt1.2
- correct boot

* Mon Jan 29 2007 Hihin Ruslan <ruslandh@altlinux.ru> 3.35-alt1
- 3.35 release

* Sat Jan 27 2007 Hihin Ruslan <ruslandh@altlinux.ru> 3.34.5-alt1
- new version
- Hacks to make the 32-bit version build correctly on 64-bit machines.

* Tue Jan 16 2007 Hihin Ruslan <ruslandh@altlinux.ru> 3.31-alt2.1
- correct headers

* Mon Nov 20 2006 Hihin Ruslan <ruslandh@altlinux.ru> 3.31-alt2
- add in Makefile`s CFLAGS -stack-protector

* Fri Sep 29 2006 Hihin Hihin Ruslan <ruslandh@altlinux.ru> 3.31-alt1
- new_version
- Move  %_datadir to %_libexecdir (/usr/libexec).
- Move /tftpboot/* to  %_localstatedir/tftpboot/.

* Tue May 23 2006 Andriy Stepanov <stanv@altlinux.ru> 3.11-alt1
- new version

* Mon Jul 04 2005 Anton D. Kachalov <mouse@altlinux.org> 2.11-alt2
- multilib support

* Sun Dec 05 2004 Anton Farygin <rider@altlinux.ru> 2.11-alt1
- new version, updated gfx patch from SUSE

* Thu Nov 27 2003 Grigory Milev <week@altlinux.ru> 2.06-alt1
- new version released
- added gfx patch from SUSE 

* Mon Aug 18 2003 Grigory Milev <week@altlinux.ru> 2.05-alt1
- new version released

* Fri Nov 29 2002 Grigory Milev <week@altlinux.ru> 2.00-alt1
- new version released

* Wed Oct  2 2002 Grigory Milev <week@altlinux.ru> 1.76-alt1
- new version released

* Wed Oct  2 2002 Grigory Milev <week@altlinux.ru> 1.52-alt1
- ALT Linux adaptation

* Tue Jan 29 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.52-1aw
- AW adaptations

* Sat Feb 10 2001 Matt Wilson <msw@redhat.com>
- 1.52

* Wed Jan 24 2001 Matt Wilson <msw@redhat.com>
- 1.51pre7

* Mon Jan 22 2001 Matt Wilson <msw@redhat.com>
- 1.51pre5

* Fri Jan 19 2001 Matt Wilson <msw@redhat.com>
- 1.51pre3, with e820 detection

* Tue Dec 12 2000 Than Ngo <than@redhat.com>
- rebuilt with fixed fileutils

* Thu Nov 9 2000 Than Ngo <than@redhat.com>
- update to 1.49
- update ftp site
- clean up specfile
- add some useful documents

* Tue Jul 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- add %%defattr (release 4)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jul 06 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use %%{_tmppath}
- change application group (Applications/Internet doesn't seem
  right to me)
- added BuildRequires

* Tue Apr 04 2000 Erik Troan <ewt@redhat.com>
- initial packaging
